---
apiVersion: secrets-store.csi.x-k8s.io/v1
kind: SecretProviderClass
metadata:
  name: "{{ k8s_mariadbop_name }}vaulty"
  namespace: "{{ k8s_mariadbop_namespace }}"
spec:
  provider: vault
  secretObjects:
    - secretName: dbpass
      type: Opaque
      data:
        - objectName: "password"
          key: password
        - objectName: "rootpassword"
          key: rootpassword
        - objectName: "tangopassword"
          key: tangopassword
        - objectName: "monitorpassword"
          key: monitorpassword
        - objectName: "accesskey"
          key: accesskey
        - objectName: "secretid"
          key: secretid
{% if k8s_mariadbop_dbusername | length > 2 %}
        - objectName: "{{ k8s_mariadbop_dbusername }}password"
          key: "{{ k8s_mariadbop_dbusername }}password"
{% endif %}
  parameters:
    vaultAddress: "{{ k8s_mariadbop_vault_server }}"
    roleName: "{{ k8s_mariadbop_vault_role }}"
    objects: |
      - objectName: password
        secretPath: "{{ k8s_mariadbop_vault_path }}"
        secretKey: password
      - objectName: rootpassword
        secretPath: "{{ k8s_mariadbop_vault_path }}"
        secretKey: rootpassword
      - objectName: tangopassword
        secretPath: "{{ k8s_mariadbop_vault_path }}"
        secretKey: tangopassword
      - objectName: monitorpassword
        secretPath: "{{ k8s_mariadbop_vault_path }}"
        secretKey: monitorpassword
      - objectName: accesskey
        secretPath: "{{ k8s_mariadbop_vault_path }}"
        secretKey: accesskey
      - objectName: secretid
        secretPath: "{{ k8s_mariadbop_vault_path }}"
        secretKey: secretid
{% if k8s_mariadbop_dbusername | length > 2 %}
      - objectName: "{{ k8s_mariadbop_dbusername }}password"
        secretPath: "{{ k8s_mariadbop_vault_path }}"
        secretKey: "{{ k8s_mariadbop_dbusername }}password"
{% endif %}